Update pricelist details
Update pricelist details.
Required permissions: PRICELIST
put/tenants/{tenantUid}/pricelists/{pricelistUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
pricelistUidstringRequiredPattern:
Reference to a Pricelist.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
externalIdstringOptional
namestringOptional
Responses
200
Example response
application/json
createdAtstring · date-timeRequired
externalIdstringRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
pricelistUidstringRequiredPattern:
^[A-Za-z0-9-_]+put/tenants/{tenantUid}/pricelists/{pricelistUid}
PUT /v2/tenants/{tenantUid}/pricelists/{pricelistUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"externalId": "text",
"name": "text"
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"pricelistUid": "text"
}Last updated
Was this helpful?

